package agent

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/agent"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /agent/collection/list agent GetAgentCollectionList
//
// Get collect list | 获取collection列表
//
// Get collect list | 获取collection列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: CollectionListReq
//
// Responses:
//  200: CollectionListResp

func GetAgentCollectionListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.CollectionListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := agent.NewGetAgentCollectionListLogic(r.Context(), svcCtx)
		resp, err := l.GetAgentCollectionList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
